Subject: bug#41705: 28.0.50; minibuffer completion of ".../*/*" shouldn't be "...//"

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Aug 2020 19:18:01 +0200

Pip Cet <[email-masked]> writes:

>> I selectively applied commits onto emacs-26 rather than bisecting, and
>> it seems to point to [1].  Paging Stefan.
>
> Thanks for that!
>
> I'd actually suspected the same file as well, and started playing around
> with the code a little. I'm suspicious of the code in
> completion-pcm--optimize-pattern which turns a '(star) pattern into
> nil. That's correct as far as which strings qualify as matches, but it's
> incorrect because it doesn't survive the completion-pcm--pattern->string
> round trip.
>
> I think we get something closer to Emacs-26 behavior back with this
> patch.

This was a couple of months ago, but was apparently never applied?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no